Bug 618139

Summary: dvd and cdrom symlinks disappear with readonly root
Product: [Fedora] Fedora Reporter: Ian Dall <ian>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: harald, jonathan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 08:04:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ian Dall 2010-07-26 05:07:01 EDT
Description of problem:
With READONLY_ROOT, the /dev/dvd etc symlinks are created, but disappear the first time a disk is ejected. They are not created when a disk is installed. 

Version-Release number of selected component (if applicable):

udev-145-21

How reproducible:

Always

Steps to Reproduce:
1.Boot a readonly root system
2.ls -l /dev/dvd
3.insert a dvd
4.eject the dvd
5. ls -l /dev/dvd
  
Actual results:
/dev/dvd is missing

Expected results:
/dev/dvd is a symlink to /dev/sr0

Additional info:

This is due to multiple causes. udev-post fails to copy /dev/.udev/tmp* to /etc/udev/rules.d because /etc/udev/rules.d is readonly. This can be fixed by creating a /etc/rwtab.d/udev file contining "files /etc/rwtab.d/udev". This should be part of the udev package.

This still doesn't work because udev, for some reason doesn't reload its rules. This can be fixed by putting "udevadm control --reload-rules" in /etc/rc.local though it should probably be part of /etc/init.d/udev-post.
Comment 1 Ian Dall 2010-07-26 06:50:02 EDT
Also, why does udev-post copy to /etc/udev/rules.d instead of /dev/.udev/rules.d?
The latter is already on a tmpfs and it would save the need to do bind mount trickery. Indeed, why create the /dev/.udev/tmp* files in the first place instead of just writing directly into /dev/.udev/rules.d and save the copy as well?
Comment 2 Harald Hoyer 2010-07-26 08:13:36 EDT
(In reply to comment #1)
> Also, why does udev-post copy to /etc/udev/rules.d instead of
> /dev/.udev/rules.d?
> The latter is already on a tmpfs and it would save the need to do bind mount
> trickery. Indeed, why create the /dev/.udev/tmp* files in the first place
> instead of just writing directly into /dev/.udev/rules.d and save the copy as
> well?    

Historical reasons :) /dev/.udev/rules.d came later after the cdrom persistent line generator was written.
Comment 3 Bug Zapper 2010-11-03 07:34:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:04:33 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.